package contractfirstclient;

import javax.xml.bind.JAXBElement;
import com.sun.jersey.api.client.*;
import contractfirstgenerated.*;

public class ContractFirstClient
{
   static final String URL_SRVR = "http://localhost:4434";
   static final String RST_PATH = "/contractfirst";
   static final String XML_UTF8 = "text/xml; charset=utf-8";

   public static ResultTO callContractfirstService( InputTO inpTO )
   {
      WebResource wrs = Client.create().resource( URL_SRVR + RST_PATH );
      JAXBElement<InputTO> inpJaxb = (new ObjectFactory()).createInputTO( inpTO );

      // HTTP-POST zum REST-Service:
      return wrs.type( XML_UTF8 ).accept( XML_UTF8 ).post( ResultTO.class, inpJaxb );
   }
}
