package contractfirstclient;

import java.io.IOException;
import org.junit.*;
import contractfirstgenerated.*;
import contractfirstservice.RestServerTestUtil;

public class ContractFirstClientTest
{
   @Test
   public void testContractFirstClient() throws IOException
   {
      InputTO inpTO = new InputTO();
      inpTO.setI( 42 );
      inpTO.setS( "abc xyz" );

      // Das REST-Server-Test-Util startet den Grizzly-Webserver:
      try( RestServerTestUtil restServerTestUtil = new RestServerTestUtil( ContractFirstClient.RST_PATH ) )
      {
         // Aufruf des REST-Services ueber den REST-Client:
         ResultTO resTO = ContractFirstClient.callContractfirstService( inpTO );

         Assert.assertEquals(  84,             resTO.getI() );
         Assert.assertEquals( "abc xyz - ret", resTO.getS() );
      }
   }
}
