cls
set TOMCAT_HOME=D:\Tools\Tomcat
set _MEIN_PROJEKT_NAME=JaxRsBuecherverwaltung

del %TOMCAT_HOME%\webapps\%_MEIN_PROJEKT_NAME%.war
rd  %TOMCAT_HOME%\webapps\%_MEIN_PROJEKT_NAME% /S /Q

pushd .
cd /D %TOMCAT_HOME%\bin
call startup.bat
@echo on
popd

call mvn clean package
@echo on
copy target\%_MEIN_PROJEKT_NAME%.war %TOMCAT_HOME%\webapps
@echo on
@ping -n 30 127.0.0.1 >nul
@echo.
@echo.
@echo .................................................................
@echo.
@echo.
curl --request POST -d "isbn=1234567891&titel=MeinTitel1&preis=12.34" "http://localhost:8080/%_MEIN_PROJEKT_NAME%/rest/Artikel/Buecher"
@echo.
@echo.
curl --request POST -d "isbn=1234567892&titel=MeinTitel2&preis=22.34" "http://localhost:8080/%_MEIN_PROJEKT_NAME%/rest/Artikel/Buecher"
@echo.
@echo.
start http://localhost:8080/%_MEIN_PROJEKT_NAME%/rest/Artikel/Buecher
@ping -n 5 127.0.0.1 >nul
@echo.
@echo.
curl -i "http://localhost:8080/%_MEIN_PROJEKT_NAME%/rest/Artikel/Buecher/4711"
@echo.
@echo.
curl -i "http://localhost:8080/%_MEIN_PROJEKT_NAME%/rest/Artikel/Buecher?titel=MeinTitel"
@echo.
@echo.
curl --request PUT -d "isbn=1234567899&titel=PUT-Titel&preis=111" "http://localhost:8080/%_MEIN_PROJEKT_NAME%/rest/Artikel/Buecher/4712"
@echo.
@echo.
curl --request DELETE "http://localhost:8080/%_MEIN_PROJEKT_NAME%/rest/Artikel/Buecher/4711"
@echo.
@echo.
start http://localhost:8080/%_MEIN_PROJEKT_NAME%/rest/Artikel/Buecher
@echo.
@echo.
@echo .................................................................
@echo.
@echo.
@ping -n 4 127.0.0.1 >nul

pushd .
cd /D %TOMCAT_HOME%\bin
call shutdown.bat
popd
