package minirestwebservice;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path( "/helloworld" )
public class HalloWeltService
{
   @GET @Produces( MediaType.TEXT_PLAIN )
   public String halloText( @QueryParam("name") String name )
   {
      return "Hallo " + name;
   }

   @GET @Produces( MediaType.TEXT_HTML )
   public String halloHtml( @QueryParam("name") String name )
   {
      return "<html><title>HelloWorld</title><body><h2>Html: Hallo " + name + "</h2></body></html>";
   }
}
