cls
set TOMCAT_HOME=D:\Tools\Tomcat
set _MEIN_PROJEKT_NAME=JaxRsBuecherverwaltung

del %TOMCAT_HOME%\webapps\%_MEIN_PROJEKT_NAME%.war
rd  %TOMCAT_HOME%\webapps\%_MEIN_PROJEKT_NAME% /S /Q

pushd .
cd /D %TOMCAT_HOME%\bin
call startup.bat
@echo on
popd

call mvn clean package
@echo on
copy target\%_MEIN_PROJEKT_NAME%.war %TOMCAT_HOME%\webapps

@echo Ca. 30 Sekunden warten (eventuell Wartezeit anpassen)
@ping -n 30 127.0.0.1 >nul
@echo.
@echo .................................................................
set CLASSPATH=target/%_MEIN_PROJEKT_NAME%/WEB-INF/classes;target/%_MEIN_PROJEKT_NAME%/WEB-INF/lib/*
java de.meinefirma.meinprojekt.client.BuecherRestClient postBuch 1234567891 "MeinTitel1" 12.34
java de.meinefirma.meinprojekt.client.BuecherRestClient postBuch 1234567892 "MeinTitel2" 22.34
@echo.
start http://localhost:8080/%_MEIN_PROJEKT_NAME%/rest/Artikel/Buecher
@echo.
@ping -n 2 127.0.0.1 >nul
java de.meinefirma.meinprojekt.client.BuecherRestClient getBuchById 4711
java de.meinefirma.meinprojekt.client.BuecherRestClient findeBuecher 1234567891 "MeinTitel2"
java de.meinefirma.meinprojekt.client.BuecherRestClient putBuch 4712 1234567898 "Client-PUT-Titel" 111
java de.meinefirma.meinprojekt.client.BuecherRestClient postBuch 9876543210 "Client-POST-Titel" 222
java de.meinefirma.meinprojekt.client.BuecherRestClient deleteBuch 4711
@echo.
start http://localhost:8080/%_MEIN_PROJEKT_NAME%/rest/Artikel/Buecher
@echo.
@echo .................................................................
@ping -n 4 127.0.0.1 >nul

pushd .
cd /D %TOMCAT_HOME%\bin
call shutdown.bat
popd
